package com.xjrsoft.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @Author: tzx
 * @Date: 2022/11/29 10:44
 */
@Data
@Component
@ConfigurationProperties("xjrsoft.keycloak")
public class KeyCloakConfig {
    private String url;

    private String realm;

    private String clientId;

    private String secret;

    private String userName;

    private String password;

    private String payload;
}
