package com.xjrsoft.config;

import cn.hutool.core.util.StrUtil;
import cn.hutool.extra.spring.SpringUtil;
import com.baomidou.dynamic.datasource.DynamicRoutingDataSource;
import com.baomidou.dynamic.datasource.toolkit.DynamicDataSourceContextHolder;
import com.xjrsoft.common.constant.GlobalConstant;
import com.xjrsoft.common.enums.CloudType;
import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.ssssssss.magicapi.datasource.model.MagicDynamicDataSource;

import javax.sql.DataSource;
import java.util.Map;

/**
 * magic-api 配置
 * @author tzx
 */
@Data
@Configuration
@ConfigurationProperties("magic-api")
public class MagicApiConfig {

    /**
     * 页面地址  magic-api
     */
    private String web;

    /**
     * 接口前缀
     */
    private String prefix;

}
