package com.xjrsoft.module.erpModel.caseErpBom.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class ImportCaseErpBomVo implements Serializable {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty("父级名称")
    @ExcelProperty("父级名称")
    private String parentName;

    @ApiModelProperty("物料编码")
    @ExcelProperty("物料编码")
    private String code;

    @ApiModelProperty("物料名称")
    @ExcelProperty("物料名称")
    private String name;

    @ApiModelProperty("规格型号")
    @ExcelProperty("规格型号")
    private String model;

    @ApiModelProperty("单位名称")
    @ExcelProperty("单位名称")
    private String unitName;

    @ApiModelProperty("物料类别名称")
    @ExcelProperty("物料类别名称")
    private String  typeName;

    @ApiModelProperty("物料属性名称")
    @ExcelProperty("物料属性名称")
    private String propertyName;

    @ApiModelProperty("子级物料数量")
    @ExcelProperty("数量")
    private BigDecimal count;
}
