package com.xjrsoft.module.erpModel.caseErpBom.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

@Data
public class CaseErpBomVo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;
    @ApiModelProperty("物料编码")
    private String code;

    @ApiModelProperty("物料名称")
    private String name;

    @ApiModelProperty("规格型号")
    private String model;

    @ApiModelProperty("单位名称")
    private String unitName;

    @ApiModelProperty("物料类别名称")
    private String typeName;

    @ApiModelProperty("物料属性名称")
    private String propertyName;

    @ApiModelProperty("子级物料数量")
    private BigDecimal count;


    private List<CaseErpBomVo> childList;
}
