package com.xjrsoft.module.erpModel.caseErpCustomer.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.sql.Timestamp;
import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

@Data
public class AddCaseErpCustomerFollowDto implements Serializable {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty("客户信息外键(case_erp_customer)")
    private Long customerId;

    @ApiModelProperty("跟进方式数据字典id")
    private Long followTypeId;

    @ApiModelProperty("跟进时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Timestamp followTime;

    @ApiModelProperty("下次跟进时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Timestamp nextFollowTime;

    @ApiModelProperty("说明")
    private String content;

    @ApiModelProperty("附件")
    private String filePath;

    @ApiModelProperty("备注")
    private String remark;
}
