package com.xjrsoft.module.erpModel.caseErpCustomer.dto;

import com.xjrsoft.common.page.PageInput;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = true)
public class CaseErpCustomerGatherDto extends PageInput {
    /**
     * 客户名称
     */
    private String name;

    /**
     * 计划回款开始时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date receivedStartTime;

    /**
     * 计划回款结束时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date receivedEndTime;

    /**
     * 最迟回款开始时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date finallyStartTime;

    /**
     * 最迟回款结束时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date finallyEndTime;
}
