package com.xjrsoft.module.erpModel.caseErpCustomer.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class ImportCaseErpCustomerDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("客户名称")
    @ExcelProperty("客户名称")
    private String name;

    @ApiModelProperty("客户类型")
    @ExcelProperty("客户类型")
    private String typeName;

    @ApiModelProperty("所在行业")
    @ExcelProperty("所在行业")
    private String industry;

    @ApiModelProperty("来源")
    @ExcelProperty("来源")
    private String sourceName;

    @ApiModelProperty("规模")
    @ExcelProperty("规模")
    private String scaleName;

    @ApiModelProperty("公司性质")
    @ExcelProperty("公司性质")
    private String natureName;

    @ApiModelProperty("地址")
    @ExcelProperty("地址")
    private String address;

}
