package com.xjrsoft.module.erpModel.caseErpCustomer.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class UpdateCaseErpCustomerDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;
    @ApiModelProperty("客户状态(0正常，1公海)")
    private Integer state;

    @ApiModelProperty("客户名称")
    private String name;

    @ApiModelProperty("客户类型,数据字典id")
    private Long typeId;

    @ApiModelProperty("公司性质,数据字典id")
    private Long natureId;

    @ApiModelProperty("所在行业")
    private String industry;

    @ApiModelProperty("来源,数据字典id")
    private Long sourceId;

    @ApiModelProperty("规模,数据字典id")
    private Long scaleId;

    @ApiModelProperty("地址")
    private String address;

    @ApiModelProperty("附件")
    private String filePath;

    @ApiModelProperty("添加联系人集合")
    private List<CaseErpCustomerContactsDto> addCaseErpCustomerContactsDtoList;
}
