package com.xjrsoft.module.erpModel.caseErpCustomer.service;

import com.xjrsoft.common.page.PageOutput;
import com.xjrsoft.module.erpModel.caseErpCustomer.dto.CaseErpCustomerGatherDto;
import com.xjrsoft.module.erpModel.caseErpCustomer.entity.CaseErpCustomerGather;
import com.baomidou.mybatisplus.extension.service.IService;
import com.xjrsoft.module.erpModel.caseErpCustomer.vo.CaseErpCustomerGatherDetailInfoVo;
import com.xjrsoft.module.erpModel.caseErpCustomer.vo.CaseErpCustomerGatherPageVo;

import java.util.List;

/**
 * <p>
 * 客户回款【case_erp_customer_gather】 服务类
 * </p>
 *
 * @author hnyyzy
 * @since 2023-07-12
 */
public interface ICaseErpCustomerGatherService extends IService<CaseErpCustomerGather> {
    CaseErpCustomerGatherDetailInfoVo gatherDetailInfo(Long id);

    PageOutput<CaseErpCustomerGatherPageVo> getPageList(CaseErpCustomerGatherDto dto);
}
