package com.xjrsoft.module.erpModel.caseErpCustomer.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class CaseErpCustomerVo implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty("客户名称")
    private String name;

    @ApiModelProperty("客户类型名称")
    private String typeName;

    @ApiModelProperty("公司性质,数据字典id")
    private String natureName;

    @ApiModelProperty("所在行业")
    private String industry;

    @ApiModelProperty("来源,数据字典id")
    private String sourceName;

    @ApiModelProperty("规模,数据字典id")
    private String scaleName;

    @ApiModelProperty("地址")
    private String address;

    @ApiModelProperty("附件")
    private String filePath;

    @ApiModelProperty("默认联系人姓名")
    private String defaultName;

    @ApiModelProperty("默认联系人电话")
    private String defaultPhone;

    @ApiModelProperty("归属")
    private String saleName;

    @ApiModelProperty("加入公海日期")
    private LocalDateTime inOpenDate;

    private String createUserName;

    private LocalDateTime createDate;

}
