package com.xjrsoft.module.erpModel.caseErpDevice.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class CaseErpDeviceInspectExportVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("设备编号")
    @ExcelProperty("设备编号")
    private String number;

    @ApiModelProperty("设备名称")
    @ExcelProperty("设备名称")
    private String name;

    @ApiModelProperty("设备类型名称")
    @ExcelProperty("设备类型名称")
    private String typeName;

    @ApiModelProperty("规格型号")
    @ExcelProperty("规格型号")
    private String model;

    @ApiModelProperty("设备位置")
    @ExcelProperty("设备位置")
    private String address;

    @ApiModelProperty("巡检结果")
    @ExcelProperty("巡检结果")
    private String result;

    @ApiModelProperty("巡检人")
    @ExcelProperty("巡检人")
    private String checkedUserNames;

    @ApiModelProperty("巡检时间")
    @ExcelProperty("巡检时间")
    private LocalDateTime date;

    @ApiModelProperty("巡检状态(1已完成，0待维修)")
    @ExcelProperty("巡检状态(1已完成，0待维修)")
    private Integer state;

}
