package com.xjrsoft.module.erpModel.caseErpDevice.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class CaseErpDeviceWarnExportVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("设备编号")
    @ExcelProperty("设备编号")
    private String number;

    @ApiModelProperty("设备名称")
    @ExcelProperty("设备名称")
    private String name;

    @ApiModelProperty("设备类型")
    @ExcelProperty("设备类型")
    private String typeName;

    @ApiModelProperty("设备位置")
    @ExcelProperty("设备位置")
    private String address;

    @ApiModelProperty("规格型号")
    @ExcelProperty("规格型号")
    private String model;

    @ApiModelProperty("故障等级")
    @ExcelProperty("故障等级")
    @ExcelIgnore
    private Long level;

    @ExcelProperty("故障等级")
    private String levelName;

    @ApiModelProperty("故障描述")
    @ExcelProperty("故障描述")
    private String remark;

    @ApiModelProperty("负责人")
    @ExcelProperty("负责人")
    private String dealUserNames;

    @ApiModelProperty("告警时间")
    @ExcelProperty("告警时间")
    private LocalDateTime createDate;

    @ApiModelProperty("处理状态")
    @ExcelProperty("处理状态")
    private Integer state;

}
