package com.xjrsoft.module.erpModel.caseErpDevice.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.sql.Timestamp;
import java.time.LocalDateTime;

@Data
public class CaseErpDeviceWarnVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("设备类型名称")
    @ExcelProperty("设备类型名称")
    private String typeName;

    @ApiModelProperty("设备编号")
    @ExcelProperty("设备编号")
    private String number;

    @ApiModelProperty("设备名称")
    @ExcelProperty("设备名称")
    private String name;


    @ApiModelProperty("设备位置")
    private String address;


    @ApiModelProperty("规格型号")
    @ExcelProperty("规格型号")
    private String model;

    @ApiModelProperty("故障等级，数据字典id")
    private Long level;

    @ApiModelProperty("故障描述")
    private String remark;

    @ApiModelProperty("负责人")
    private String dealUserNames;

    @ApiModelProperty("告警时间")
    private LocalDateTime createDate;

    @ApiModelProperty("处理状态(1已处理，0待处理)")
    private Integer state;

}
