package com.xjrsoft.module.erpModel.caseErpMaterial.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class UpdateCaseErpMaterialDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @NotNull(message = "主键不能为空！")
    private Long id;

    @ApiModelProperty("物料编码")
    private String code;

    @ApiModelProperty("是否系统编码（0否，1是）")
    private Integer isSysCode;

    @ApiModelProperty("是否系统编码boolean")
    private Boolean isSysCodeBoolean;

    @ApiModelProperty("物料名称")
    private String name;

    @ApiModelProperty("规格型号")
    private String model;

    @ApiModelProperty("单位id")
    private Long unitId;

    @ApiModelProperty("物料类别id")
    private Long classesId;

    @ApiModelProperty("物料属性id")
    private Long propertyId;

    @ApiModelProperty("文件id")
    private Long fileId;

    @ApiModelProperty("库存数量")
    private BigDecimal inventory;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("状态")
    private Integer state;
}
