package com.xjrsoft.module.erpModel.caseErpMaterial.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.xjrsoft.common.model.base.AuditEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 物料属性配置【case_erp_material_property】
 * </p>
 *
 * @author hnyyzy
 * @since 2023-06-19
 */
@Data
@TableName("case_erp_material_property")
@ApiModel(value = "CaseErpMaterialProperty对象", description = "物料属性配置【case_erp_material_property】")
@EqualsAndHashCode(callSuper = false)
public class CaseErpMaterialProperty extends AuditEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("物料属性名称")
    private String propertyName;

    @ApiModelProperty("状态")
    private Integer state;

    @ApiModelProperty("备注")
    private String remark;
}
