package com.xjrsoft.module.erpModel.caseErpMaterial.service;

import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.common.page.PageOutput;
import com.xjrsoft.module.erpModel.caseErpMaterial.dto.MaterialHistoryPageDto;
import com.xjrsoft.module.erpModel.caseErpMaterial.dto.StockCountDto;
import com.xjrsoft.module.erpModel.caseErpMaterial.entity.CaseErpMaterial;
import com.xjrsoft.module.erpModel.caseErpMaterial.vo.CaseErpInstoreLogVo;
import com.xjrsoft.module.erpModel.caseErpMaterial.vo.CaseErpOutstoreLogVo;
import com.xjrsoft.module.erpModel.caseErpMaterial.vo.MaterialHistoryPageVo;
import com.xjrsoft.module.erpModel.caseErpStock.entity.CaseErpInstoreLog;

import java.util.List;

public interface ICaseErpMaterialService extends MPJBaseService<CaseErpMaterial> {
    String getCodeNumber();

    Boolean stockCount(StockCountDto dto);

    PageOutput<MaterialHistoryPageVo> getMaterialHistoryPage(MaterialHistoryPageDto dto);

    List<CaseErpInstoreLogVo>  checkMaterialInstore(String code);

    List<CaseErpOutstoreLogVo> checkMaterialOutStore(String code);
}
