package com.xjrsoft.module.erpModel.caseErpMaterial.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
public class CaseErpInstoreLogVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("入库单号")
    private String number;

    @ApiModelProperty("入库订单主题")
    private String theme;

    @ApiModelProperty("入库时间")
    private LocalDateTime date;

    @ApiModelProperty("供应商名称")
    private String name;

    @ApiModelProperty("入库总数")
    private BigDecimal count;

    @ApiModelProperty("入库人员")
    private String person;

    @ApiModelProperty("入库仓库")
    private String store;

    @ApiModelProperty("入库类型")
    private String insertType;

}
