package com.xjrsoft.module.erpModel.caseErpMaterial.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
public class CaseErpMaterialInfoVo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;
    @ApiModelProperty("物料编码")
    private String code;

    @ApiModelProperty("是否系统编码int")
    private Integer isSysCode;

    @ApiModelProperty("是否系统编码boolean")
    private Boolean isSysCodeBoolean;

    @ApiModelProperty("物料名称")
    private String name;

    @ApiModelProperty("规格型号")
    private String model;

    @ApiModelProperty("单位id")
    private Long unitId;

    @ApiModelProperty("物料类别id")
    private Long classesId;

    @ApiModelProperty("物料属性id")
    private Long propertyId;

    @ApiModelProperty("单位名称")
    private String unitName;

    @ApiModelProperty("物料类别名称")
    private String typeName;

    @ApiModelProperty("物料属性名称")
    private String propertyName;

    @ApiModelProperty("文件路径")
    private Long fileId;

    @ApiModelProperty("库存数量")
    private BigDecimal inventory;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("状态")
    private Integer state;

    private Integer rawMaterialHouse;

    private Integer localHouse;

    private Integer  researchHouse;

    private Integer aHouse;

    private Integer totalHouse;

    private Long createUserId;

    private String createUserName;

    private LocalDateTime createDate;

    private Long modifyUserId;

    private String modifyUserName;

    private LocalDateTime modifyDate;

    private Integer deleteMark;

    private Integer enabledMark;
}
