package com.xjrsoft.module.erpModel.caseErpMaterial.vo;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
public class CaseErpOutstoreLogVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("出库单号")
    private String number;

    @ApiModelProperty("出库订单主题")
    private String theme;

    @ApiModelProperty("出库时间")
    private LocalDateTime date;

    @ApiModelProperty("客户名称")
    private String name;

    @ApiModelProperty("出库总数")
    private BigDecimal count;

    @ApiModelProperty("出库人员")
    private String person;

    @ApiModelProperty("出库仓库")
    private String store;

    @ApiModelProperty("出库类型")
    private String outType;

}
