package com.xjrsoft.module.erpModel.caseErpMaterial.vo;

import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
public class MaterialHistoryPageVo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;
    @ApiModelProperty("库存类别")
    private Integer type;

    @ApiModelProperty("库存类别名称")
    private String typeName;

    @ApiModelProperty("产品名称")
    private String name;

    @ApiModelProperty("操作类型：-1：减少、0：报废、1：增加、2：销售订单、3：采购订单")
    private Integer operateType;

    @ApiModelProperty("操作类型名称")
    private String operateTypeName;

    @ApiModelProperty("操作时间")
    private LocalDateTime createDate;

    @ApiModelProperty("数量")
    private BigDecimal count;

    @ApiModelProperty("当前库存数量")
    private BigDecimal localInventory;
}
