package com.xjrsoft.module.erpModel.caseErpMaterial.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
public class PurchaseVo {
    @ApiModelProperty("主键")
    private Long id;
    @ApiModelProperty("采购单号")
    private String number;
    @ApiModelProperty("订单主题")
    private String theme;
    @ApiModelProperty("采购日期")
    private LocalDateTime purchaseDate;
    @ApiModelProperty("采购人员id")
    private Long purchasePersonId;

    @ApiModelProperty("采购人员名称")
    private String purchasePersonName;

    @ApiModelProperty("采购部门id")
    private String purchaseDeptId;

    @ApiModelProperty("采购部门名称")
    private String purchaseDeptName;

    @ApiModelProperty("供应商名称")
    private String supplierName;
    @ApiModelProperty("税后金额")
    private BigDecimal afterTaxAmount;
    @ApiModelProperty("采购数量")
    private BigDecimal count;
    @ApiModelProperty("采购金额")
    private BigDecimal amountSum;
}
