package com.xjrsoft.module.erpModel.caseErpPurchase.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
public class PayLogExportVo {

    @ExcelProperty("付款编号")
    private String code;
    @ExcelProperty("付款主题")
    private String theme;
    @ExcelProperty("付款日期")
    private LocalDateTime date;
    @ExcelProperty("付款总额")
    private BigDecimal amount;
    @ExcelProperty("收款方")
    private String payer;
    @ExcelProperty("银行账号")
    private String account;
}
