package com.xjrsoft.module.erpModel.caseErpSale.service;

import com.xjrsoft.common.page.PageOutput;
import com.xjrsoft.module.erpModel.caseErpSale.dto.CaseErpSalePageDto;
import com.xjrsoft.module.erpModel.caseErpSale.entity.CaseErpSale;
import com.baomidou.mybatisplus.extension.service.IService;
import com.xjrsoft.module.erpModel.caseErpSale.vo.CaseErpSaleCheckInfoVo;
import com.xjrsoft.module.erpModel.caseErpSale.vo.CaseErpSalePageVo;

/**
 * <p>
 * 销售订单信息【case_erp_sale】 服务类
 * </p>
 *
 * @author hnyyzy
 * @since 2023-07-17
 */
public interface ICaseErpSaleService extends IService<CaseErpSale> {

    PageOutput<CaseErpSalePageVo> getPageList(CaseErpSalePageDto dto);

    CaseErpSaleCheckInfoVo checkInfo(Long id);
}
