package com.xjrsoft.module.erpModel.caseErpSale.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
public class CaseErpSaleListVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("销售单号")
    private String saleNumber;

    @ApiModelProperty("订单主题")
    private String theme;

    private Long createUserId;
    @ApiModelProperty("经办人")
    private String createUserName;

    private LocalDateTime createDate;
}
