package com.xjrsoft.module.erpModel.caseErpSale.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @Author: tzx
 * @Date: 2022/12/27 15:21
 */
@Data
public class OutStoreExportVo {

    @ExcelProperty("出库单号")
    private String code;

    @ExcelProperty("出库订单主题")
    private String theme;
    @ExcelProperty("出库日期")
    private LocalDateTime date;

    @ExcelProperty("客户名称")
    private String name;

    @ExcelProperty("出库总量")
    private BigDecimal count;

    @ExcelProperty("出库人员")
    private String person;

    @ExcelProperty("出库仓库")
    private String store;

}