package com.xjrsoft.module.erpModel.caseErpStock.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
public class InStoreLogVo {

    private Long id;

    private Long purchaseId;

    private String code;

    private String name;

    private String theme;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime date;

    private BigDecimal count;

    private String person;

    private String store;

    private String description;

    private LocalDateTime createDate;

    private String createUserId;

    private String createUserName;
}
