package com.xjrsoft.module.erpModel.caseErpStore.vo;

import com.xjrsoft.module.erpModel.caseErpStore.entity.CaseErpStoreReceiptDetail;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

@Data
public class CaseErpStoreReceiptPageVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("单据名称")
    private String name;

    @ApiModelProperty("单据编号")
    private String code;

    @ApiModelProperty("单据类型，0-出库，1-入库")
    private Integer type;

    @ApiModelProperty("经办人员ids")
    private String personIds;

    @ApiModelProperty("经办人员名称")
    private String personNames;

    @ApiModelProperty("备注")
    private String remark;

    private LocalDateTime createDate;

}
