package com.xjrsoft.module.erpModel.caseErpSupplier.dto;


import com.xjrsoft.common.page.PageInput;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = true)
public class CaseErpSupplierMaterialPageDto extends PageInput {

    private Long supplierId;

    /**
     * 状态(0未启用，1启用)
     */
    private Integer state;
    /**
     * 物料名称
     */
    private String name;

    /**
     * 开始时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date startTime;

    /**
     * 结束时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date endTime;
}
