package com.xjrsoft.module.erpModel.caseErpSupplier.service;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.xjrsoft.module.erpModel.caseErpSupplier.dto.AddCaseErpSupplierFormalDto;
import com.xjrsoft.module.erpModel.caseErpSupplier.entity.CaseErpSupplierFormal;
import com.baomidou.mybatisplus.extension.service.IService;
import com.xjrsoft.module.erpModel.caseErpSupplier.vo.SupplierFormalDetailVo;

/**
 * <p>
 * 供应商转正申请【case_erp_supplier_formal】 服务类
 * </p>
 *
 * @author hnyyzy
 * @since 2023-07-05
 */
public interface ICaseErpSupplierFormalService extends IService<CaseErpSupplierFormal> {
    Boolean confirmation(AddCaseErpSupplierFormalDto dto) throws JsonProcessingException;

    SupplierFormalDetailVo getConfirmationInfo(Long id);
}
