package com.xjrsoft.module.erpModel.caseErpSupplier.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class CaseErpSupplierPageVo implements Serializable {

    private Long id;
    @ApiModelProperty("供应商编号")
    private String number;

    @ApiModelProperty("供应商名称")
    private String name;

    @ApiModelProperty("供应商负责人")
    private String person;

    @ApiModelProperty("手机号")
    private String phone;

    @ApiModelProperty("风险评估报告状态(0未评估，1已评估)")
    private Integer assessState;

    @ApiModelProperty("风险评估报告状态(0未评估，1已评估)")
    private String assessStateName;

    @ApiModelProperty("经营范围")
    private String scope;

    @ApiModelProperty("供应商类型(1原料,2成品,3半成品,4其他)")
    private String type;

    @ApiModelProperty("供应商状态(0潜在供应商，1正式供应商，2淘汰供应商)")
    private Integer state;

    @ApiModelProperty("正式供应商当前年审状态(0未年审，1审批中，2审批不通过，3审批通过，4不需要年审)")
    private Integer formalState;

    private LocalDateTime createDate;

}
