package com.xjrsoft.module.erpModel.caseErpUnit.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
public class AddCaseErpUnitConverDetailDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("基本单位外键")
    @ExcelProperty("基本单位外键")
    private Long baseUnitId;

    @ApiModelProperty("转换单位外键")
    @ExcelProperty("转换单位外键")
    private Long convertUnitId;

    @ApiModelProperty("转换数量")
    @ExcelProperty("转换数量")
    private Integer number;

    @ApiModelProperty("备注")
    @ExcelProperty("备注")
    private String remark;
}
