package com.xjrsoft.module.erpModel.caseErpUnit.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class AddCaseErpUnitTypeDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("单位类型名称")
    @NotNull(message = "单位类型名称不能为空！")
    @Length(min = 2,max = 20,message = "单位类型名称不能少于2个字符，大于20个字符！")
    @ExcelProperty("单位类型名称")
    private String name;

    @ApiModelProperty("状态")
    @ExcelProperty("状态")
    private Integer state;

    @ApiModelProperty("备注")
    @ExcelProperty("备注")
    private String remark;

}
