package com.xjrsoft.module.erpModel.caseErpUnit.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.xjrsoft.common.model.base.AuditEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 单位换算表【case_erp_unit_convert】
 * </p>
 *
 * @author hnyyzy
 * @since 2023-06-13
 */
@Data
@TableName("case_erp_unit_convert")
@ApiModel(value = "CaseErpUnitConvert对象", description = "单位换算表【case_erp_unit_convert】")
@EqualsAndHashCode(callSuper = false)
public class CaseErpUnitConvert  extends AuditEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("单位类型外键id")
    private Long unitTypeId;
}
