package com.xjrsoft.module.erpModel.caseErpUnit.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

import com.xjrsoft.common.model.base.AuditEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 单位类型【case_erp_unit_type】
 * </p>
 *
 * @author hnyyzy
 * @since 2023-06-13
 */
@Data
@TableName("case_erp_unit_type")
@ApiModel(value = "CaseErpUnitType对象", description = "单位类型【case_erp_unit_type】")
@EqualsAndHashCode(callSuper = false)
public class CaseErpUnitType extends AuditEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("单位类型名称")
    private String name;

    @ApiModelProperty("状态")
    private Integer state;

    @ApiModelProperty("备注")
    private String remark;
}
