package com.xjrsoft.module.erpModel.caseErpUnit.service;

import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.common.page.PageOutput;
import com.xjrsoft.module.erpModel.caseErpUnit.dto.AddCaseErpUnitConvertDto;
import com.xjrsoft.module.erpModel.caseErpUnit.dto.CaseErpUnitConvertDto;
import com.xjrsoft.module.erpModel.caseErpUnit.dto.UpdateCaseErpUnitConvertDto;
import com.xjrsoft.module.erpModel.caseErpUnit.entity.CaseErpUnitConvert;
import com.xjrsoft.module.erpModel.caseErpUnit.vo.CaseErpUnitConvertVo;
import com.xjrsoft.module.erpModel.caseErpUnit.vo.UnitDetailListVo;

import java.util.List;

public interface ICaseErpUnitConvertService extends MPJBaseService<CaseErpUnitConvert> {
    PageOutput<CaseErpUnitConvertVo> getPageList(CaseErpUnitConvertDto dto);

    Boolean add(AddCaseErpUnitConvertDto dto);

    Boolean edit(UpdateCaseErpUnitConvertDto dto);

    AddCaseErpUnitConvertDto getInfo(Long id);

    List<UnitDetailListVo> listAll();
}
