package com.xjrsoft.module.erpModel.caseErpUnit.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class CaseErpUnitVo implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty("单位类型id")
    private Long unitTypeId;

    @ApiModelProperty("单位类型")
    private String unitTypeName;

    @ApiModelProperty("单位名称")
    private String name;

    @ApiModelProperty("单位符号")
    private String symbol;

    @ApiModelProperty("是否基准单位")
    private Integer isStandard;

    @ApiModelProperty("创建人名称")
    private String createUserName;

    @ApiModelProperty("创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty("状态")
    private Integer state;

    @ApiModelProperty("备注")
    private String remark;

}
