package com.xjrsoft.module.form.dto;

import com.xjrsoft.common.page.PageInput;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotNull;

/**
 * @Author: tzx
 * @Date: 2022/5/9 16:05
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class FormTemplatePageDto extends PageInput {

    @Range(min = 0, max = 1, message = "表单类型只能为0或1")
    private Integer type;

    private Long category = 0L;
}
