package com.xjrsoft.module.form.dto;

import com.xjrsoft.module.form.entity.MenuConfig;
import com.xjrsoft.module.generator.entity.ListConfig;
import com.xjrsoft.module.generator.entity.QueryConfig;
import com.xjrsoft.module.system.dto.AddMenuDto;
import com.xjrsoft.module.system.dto.UpdateMenuDto;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Author: tzx
 * @Date: 2022/5/11 11:23
 */
@Data
public class UpdateFormReleaseDto {

    @NotNull(message = "发布id不能为空")
    private Long id;

    @NotNull(message = "表单id不能为空")
    private Long formId;

    @NotNull(message = "菜单id不能为空")
    private Long menuId;

    @Valid
    @NotNull(message = "菜单配置不能为空")
    private MenuConfig menuConfig;

    @Valid
    @NotNull(message = "列表配置不能为空")
    private ListConfig listConfig;
}
