package com.xjrsoft.module.form.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author: tzx
 * @Date: 2022/5/9 16:11
 */
@Data
public class UpdateFormTemplateDto {

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("表单模板名称")
    private String name;

    @ApiModelProperty("表单分类 关联 数据字典")
    private String category;

    @ApiModelProperty("表单类型:0 系统表单 1 自定义表单")
    private Integer formType;

    @ApiModelProperty("表单设计类型（0-数据优先，1-界面优先，2-简易模板）")
    private Integer formDesignType;

    @ApiModelProperty("表单设计json")
    private String formJson;

    @ApiModelProperty("排序号")
    private Integer sortCode;

    @ApiModelProperty("备注")
    private String remark;

}
