package com.xjrsoft.module.form.service;

import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.form.dto.AddFormCodeFirstDto;
import com.xjrsoft.module.form.dto.AddFormDataFirstDto;
import com.xjrsoft.module.form.dto.UpdateFormCodeFirstDto;
import com.xjrsoft.module.form.dto.UpdateFormDataFirstDto;
import com.xjrsoft.module.form.entity.FormTemplate;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 表单设计模板  服务类
 * </p>
 *
 * @author tzx
 * @since 2022-05-09
 */
public interface IFormTemplateService extends MPJBaseService<FormTemplate> {

    /**
     * 新增 数据优先 表单模板
     * @param dto
     * @return
     */
    Boolean addDataFirst(AddFormDataFirstDto dto);

    /**
     * 新增 代码优先 表单模板
     * @param dto
     * @return
     */
    Boolean addCodeFirst(AddFormCodeFirstDto dto);


    /**
     * 更新 数据优先 表单模板
     * @param dto
     * @return
     */
    Boolean updateDataFirst(UpdateFormDataFirstDto dto);


    /**
     * 更新 代码优先 表单模板
     * @param dto
     * @return
     */
    Boolean updateCodeFirst(UpdateFormCodeFirstDto dto);


}
