package com.xjrsoft.module.oa.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.xjrsoft.common.model.base.AuditEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 新闻中心用户关系表
 * </p>
 *
 * @author zlf
 * @since 2022-06-16
 */
@TableName("xjr_oa_news_relation")
@ApiModel(value = "NewsRelation对象", description = "新闻中心用户关系表")
@Data
@EqualsAndHashCode(callSuper = false)
public class NewsRelation implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("新闻主键")
    private Long newsId;

    @ApiModelProperty("用户主键")
    private Long userId;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createDate;
}
