package com.xjrsoft.module.student.service;

import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.student.entity.BaseStudentUser;
import com.xjrsoft.module.student.vo.BaseStudentClassVo;

import java.util.List;

public interface IStudentManagerService extends MPJBaseService<BaseStudentUser> {
    /**
     * 新增
     *
     * @param baseStudentUser
     * @return
     */
    Boolean add(BaseStudentUser baseStudentUser);

    /**
     * 更新
     *
     * @param baseStudentUser
     * @return
     */
    Boolean update(BaseStudentUser baseStudentUser);

    /**
     * 删除
     *
     * @param ids
     * @return
     */
    Boolean delete(List<Long> ids);

    /**
     * 获取学生班级信息
     *
     * @param userId
     * @return
     */
    BaseStudentClassVo getStudentClass(Long userId);
}
