package com.xjrsoft.module.system.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;


/**
 * @author Zexy
 */
@Data
public class LoginDto  {

    @ApiModelProperty(value = "账号")
    @NotBlank(message = "账号不能为空！")
    private String userName;

    @ApiModelProperty(value = "密码")
    @NotBlank(message = "密码不能为空！")
    private String password;

    @ApiModelProperty("验证key")
    @NotBlank(message = "验证key不能为空！")
    private String key;

    @ApiModelProperty("验证码")
    @NotBlank(message = "验证码不能为空！")
    private String code;

}
