package com.xjrsoft.module.system.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @Author: tzx
 * @Date: 2023/2/22 15:50
 */
@Data
public class StampListVo {

    private Long id;

    @ApiModelProperty("签章名")
    private String name;

    @ApiModelProperty("签章分类")
    private Long stampCategory;

    @ApiModelProperty("签章分类名")
    private String stampCategoryName;

    @ApiModelProperty("签章类型 0私人签章 1 公共签章")
    private Integer stampType;

    @ApiModelProperty("1 上传图片，2 手写签名的类型")
    private Integer fileType;

    @ApiModelProperty("图片地址")
    private String fileUrl;

    @ApiModelProperty("密码")
    private String password;

    @ApiModelProperty("排序")
    private Integer sortCode;

    @ApiModelProperty("是否默认")
    private Integer isDefault;

    @ApiModelProperty("成员")
    private String member;

    @ApiModelProperty("维护人员")
    private String maintain;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("启用标记")
    private Integer enabledMark;
}
