package com.xjrsoft.module.workflow.model;

import lombok.Data;

import java.util.List;

/**
 * @Author: tzx
 * @Date: 2022/9/23 9:54
 */
@Data
public class OpinionConfig {
    /**
     * 是否关联表单
     */
    private Boolean enabled;

    /**
     * 审批意见展示 0 显示所有审批  1 显示最终结果
     */
    private Integer showType;

    /**
     * 电子签章验证  0 直接使用不需要密码 1 填写密码
     */
    private Integer signature;

    /**
     * 意见框组件id
     */
    private List<String> component;
}
