package com.xjrsoft.common.model.generator;

import lombok.Data;

/**
 * @Author: tzx
 * @Date: 2022/5/11 15:55
 */
@Data
public class ComponentOptionConfig {

    /**
     * 宽度
     */
    private String width;

    /**
     * 默认值
     */
    private String defaultValue;

    /**
     * 提示
     */
    private String placeholder;

    /**
     * 最大长度
     */
    private Integer maxlength;

    /**
     * 前缀
     */
    private String prefix;

    /**
     * 后缀
     */
    private String suffix;

    /**
     * 前标签
     */
    private String addonBefore;

    /**
     * 后标签
     */
    private String addonAfter;


    /**
     * 是否不可操作
     */
    private Boolean disabled;

    /**
     * 是否显示清除
     */
    private Boolean allowClear;

    /**
     * 是否只读
     */
    private Boolean readonly;

    /**
     * 远程数据的类型  可分为 静态  数据字典    数据源   接口
     */
    private String remoteType;

    /**
     * 数据源id
     */
    private String sourceId;

    /**
     * 字典id
     */
    private String itemId;
}
