package com.xjrsoft.common.mqtt;

import org.springframework.core.annotation.AliasFor;
import org.springframework.stereotype.Component;

import java.lang.annotation.*;

@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Component
public @interface MqttSubscribe {

    /**
     * 设置topic
     * @return
     */
    @AliasFor("topic")
    String value() default "";

    /**
     * 设置topic
     * @return
     */
    @AliasFor("value")
    String topic() default "";
}
