package com.xjrsoft.common.page;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Author: tzx
 * @Date:2022/3/7 14:55
 */
@Data
public class PageOutput<T> implements Serializable {

    public Integer totalPage;

    public Integer currentPage;

    public Integer pageSize;

    public Integer total;

    public List<T> list;
}
