package com.xjrsoft.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

/**
 * 电信三网短信配置
 */
@Data
@Component
@ConfigurationProperties("xjrsoft.ctccsms")
public class CtccSmsConfig {
    private String appKey;
    private String appSecret;
    private String signature;
}
