package com.xjrsoft.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.time.LocalDateTime;

/**
 * @Author: tzx
 * @Date: 2023/7/3 9:47
 */
@Data
@Component
@ConfigurationProperties("xjrsoft.license")
public class LicenseConfig {
    /**
     * 是否启用
     */
    private Boolean enabled;

    /**
     * 公司名称
     */
    private String companyName;

    /**
     * 公司名称
     */
    private String contactNumber;

    /**
     * 最大登录人数
     */
    private Integer loginMax;

    /**
     * 授权开始时间
     */
    private String startTime;

    /**
     * 授权结束时间
     */
    private String endTime;
}
