package com.xjrsoft.module.courseTable.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.xjrsoft.module.courseTable.dto.ClassListDto;
import com.xjrsoft.module.courseTable.entity.CourseTable;
import com.xjrsoft.module.courseTable.vo.ClassListVo;

import java.io.IOException;
import java.io.InputStream;
import java.util.List;

/**
 * <p>
 * 课表 服务类
 * </p>
 *
 * @author baomidou
 * @since 2023-09-02 02:19:56
 */
public interface ICourseTableService extends IService<CourseTable> {

    Boolean wordImport(InputStream inputStream) throws IOException;

    List<ClassListVo> classList(ClassListDto dto);
}
