package com.xjrsoft.module.demo.dto;

import com.xjrsoft.common.page.ListInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @Author: tzx
 * @Date: 2022/4/20 10:52
 */
@Data
public class DemoListDto extends ListInput {
    @ApiModelProperty("字符串")
    private String fieldString;

    @ApiModelProperty("整型")
    private String fieldInt;

    @ApiModelProperty("开始时间")
    private LocalDateTime fieldDatetimeStart;

    @ApiModelProperty("结束时间")
    private LocalDateTime fieldDatetimeEnd;

    @ApiModelProperty("浮点")
    private Double fieldDouble;

    @ApiModelProperty("长整型")
    private Long fieldLong;

    @ApiModelProperty("备注")
    private String remark;

}
