package com.xjrsoft.module.demo.service;

import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.demo.entity.Multi;

import java.util.List;

/**
 * @title: IDemoService
 * @Author tzx
 * @Date: 2022/4/16 23:28
 * @Version 1.0
 */

public interface IMultiService extends MPJBaseService<Multi> {
    /**
     * 新增
     *
     * @param multi
     * @return
     */
    Boolean add(Multi multi);

    /**
     * 更新
     *
     * @param multi
     * @return
     */
    Boolean update(Multi multi);

    /**
     * 删除
     *
     * @param ids
     * @return
     */
    Boolean delete(List<Long> ids);

}
