package com.xjrsoft.module.erpModel.caseErpBom.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class CaseErpBomExportVo {

    @ApiModelProperty("物料编号")
    @ExcelProperty("物料编码")
    private String code;

    @ApiModelProperty("物料名称")
    @ExcelProperty("物料名称")
    private String name;

    @ApiModelProperty("规格型号")
    @ExcelProperty("规格型号")
    private String model;

    @ApiModelProperty("物料类别")
    @ExcelProperty("物料类别")
    private String typeName;

    @ApiModelProperty("数量")
    @ExcelProperty("数量")
    private BigDecimal count;

    @ApiModelProperty("单位")
    @ExcelProperty("单位")
    private String unitName;


    @ApiModelProperty("属性")
    @ExcelProperty("属性")
    private String propertyName;

}
