package com.xjrsoft.module.erpModel.caseErpBom.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.xjrsoft.common.model.tree.ITreeNode;
import com.xjrsoft.module.organization.vo.DepartmentTreeVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

@Data
public class CaseErpBomTreeVo implements ITreeNode<CaseErpBomTreeVo,Long>, Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("父级id")
    private Long parentId;

    @ApiModelProperty("层级")
    private String level;

    @ApiModelProperty("物料外键id")
    private Long materialId;

    @ApiModelProperty("物料编码")
    private String code;

    @ApiModelProperty("物料名称")
    private String name;

    @ApiModelProperty("规格型号")
    private String model;

    @ApiModelProperty("单位名称")
    private String unitName;

    @ApiModelProperty("物料类别名称")
    private String  typeName;

    @ApiModelProperty("物料属性名称")
    private String propertyName;

    @ApiModelProperty("子级物料数量")
    private BigDecimal count;

    @ApiModelProperty("备注")
    private String remark;

    private List<CaseErpBomTreeVo> children;
}
