package com.xjrsoft.module.erpModel.caseErpCustomer.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = true)
public class CaseErpCustomerDto extends PageInput {
    /**
     * 客户名称
     */
    private String name;

    /**
     * 客户类型
     */
    private Long typeId;

    /**
     * 来源
     */
    private Long sourceId;

    /**
     * 客户状态(0正常，1公海)
     */
    private Integer state;

    /**
     * 开始时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date startTime;

    /**
     * 结束时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date endTime;
}
