package com.xjrsoft.module.erpModel.caseErpCustomer.service;

import com.xjrsoft.module.erpModel.caseErpCustomer.dto.AddCaseErpCustomerContactsDto;
import com.xjrsoft.module.erpModel.caseErpCustomer.dto.CaseErpCustomerContactsDto;
import com.xjrsoft.module.erpModel.caseErpCustomer.dto.UpdateCaseErpCustomerContactsDto;
import com.xjrsoft.module.erpModel.caseErpCustomer.entity.CaseErpCustomerContacts;
import com.baomidou.mybatisplus.extension.service.IService;
import com.xjrsoft.module.erpModel.caseErpCustomer.vo.CaseErpCustomerContactsInfoVo;
import com.xjrsoft.module.organization.entity.User;

import java.util.List;

/**
 * <p>
 * 客户联系人【case_erp_customer_contacts】 服务类
 * </p>
 *
 * @author hnyyzy
 * @since 2023-07-11
 */
public interface ICaseErpCustomerContactsService extends IService<CaseErpCustomerContacts> {
    Boolean add(AddCaseErpCustomerContactsDto dto);

    Boolean update(UpdateCaseErpCustomerContactsDto dto);

    List<CaseErpCustomerContactsInfoVo> info(List<CaseErpCustomerContacts> caseErpCustomerContactsList, List<User> userList);
}
