package com.xjrsoft.module.erpModel.caseErpCustomer.vo;

import com.xjrsoft.module.erpModel.caseErpCustomer.entity.CaseErpCustomerContacts;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

@Data
public class CaseErpCustomerContactsInfoVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("客户信息外键(case_erp_customer)")
    private Long customerId;

    @ApiModelProperty("是否为默认联系人(1是，0否)")
    private Integer isDefault;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("电话")
    private String phone;

    @ApiModelProperty("职位")
    private String post;

    @ApiModelProperty("部门")
    private String dept;

    @ApiModelProperty("备注")
    private String remark;

    private LocalDateTime createDate;

    private String createUserName;
}
