package com.xjrsoft.module.erpModel.caseErpCustomer.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class CaseErpCustomerExportVo implements Serializable {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty("客户名称")
    @ExcelProperty("客户名称")
    private String name;

    @ApiModelProperty("客户类型")
    @ExcelProperty("客户类型")
    private String typeName;

    @ApiModelProperty("联系人")
    @ExcelProperty("联系人")
    private String defaultName;

    @ApiModelProperty("电话号码")
    @ExcelProperty("电话号码")
    private String defaultPhone;

    @ApiModelProperty("所在行业")
    @ExcelProperty("所在行业")
    private String industry;

    @ApiModelProperty("来源")
    @ExcelProperty("来源")
    private String sourceName;

    @ApiModelProperty("归属")
    @ExcelProperty("归属")
    private String saleName;

    @ApiModelProperty("创建日期")
    @ExcelProperty("创建日期")
    private LocalDateTime createDate;

    @ApiModelProperty("创建人")
    @ExcelProperty("创建人")
    private String createUserName;
}
