package com.xjrsoft.module.erpModel.caseErpCustomer.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xjrsoft.module.erpModel.caseErpCustomer.entity.CaseErpCustomerContacts;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

@Data
public class CaseErpCustomerFollowInfoVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("客户信息外键(case_erp_customer)")
    private Long customerId;

    @ApiModelProperty("跟进方式")
    private String followTypeName;

    @ApiModelProperty("跟进时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime followTime;

    @ApiModelProperty("下次跟进时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime nextFollowTime;

    @ApiModelProperty("说明")
    private String content;

    @ApiModelProperty("跟进人")
    private String createUserName;
}
