package com.xjrsoft.module.erpModel.caseErpDevice.service;

import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.common.page.PageOutput;
import com.xjrsoft.module.erpModel.caseErpDevice.dto.AddCaseErpDeviceInspectDto;
import com.xjrsoft.module.erpModel.caseErpDevice.dto.CaseErpDeviceInspectDto;
import com.xjrsoft.module.erpModel.caseErpDevice.dto.UpdateCaseErpDeviceInspectDto;
import com.xjrsoft.module.erpModel.caseErpDevice.entity.CaseErpDeviceInspect;
import com.xjrsoft.module.erpModel.caseErpDevice.vo.CaseErpDeviceInspectVo;

/**
 * <p>
 * 运维巡检【case_erp_device_inspect】 服务类
 * </p>
 *
 * @author hnyyzy
 * @since 2023-07-10
 */
public interface ICaseErpDeviceInspectService extends MPJBaseService<CaseErpDeviceInspect> {

    Boolean add(AddCaseErpDeviceInspectDto dto);

    Boolean update(UpdateCaseErpDeviceInspectDto dto);

}
