package com.xjrsoft.module.erpModel.caseErpMaterial.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class AddCaseErpMaterialDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("物料编码")
    @ExcelProperty("物料编码")
    private String code;

    @ApiModelProperty("是否系统编码")
    @ExcelProperty("是否系统编码")
    private Integer isSysCode;

    @ApiModelProperty("是否系统编码boolean")
    private Boolean isSysCodeBoolean;

    @ApiModelProperty("物料名称")
    @ExcelProperty("物料名称")
    private String name;

    @ApiModelProperty("规格型号")
    @ExcelProperty("规格型号")
    private String model;

    @ApiModelProperty("单位id")
    @ExcelProperty("单位id")
    private Long unitId;

    @ApiModelProperty("物料类别id")
    @ExcelProperty("物料类别id")
    private Long classesId;

    @ApiModelProperty("物料属性id")
    @ExcelProperty("物料属性id")
    private Long propertyId;

    @ApiModelProperty("文件id")
    @ExcelProperty("文件id")
    private Long fileId;

    @ApiModelProperty("库存数量")
    private BigDecimal inventory;

    @ApiModelProperty("状态")
    private Integer state;

}
