package com.xjrsoft.module.erpModel.caseErpMaterial.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
public class ImportCaseErpMaterialDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("物料编码")
    @ExcelProperty("物料编码")
    private String code;

    @ApiModelProperty("是否系统编码（0否，1是）")
    @ExcelProperty("是否系统编码（0否，1是）")
    private Integer isSysCode;

    @ApiModelProperty("物料名称")
    @ExcelProperty("物料名称")
    private String name;

    @ApiModelProperty("规格型号")
    @ExcelProperty("规格型号")
    private String model;

    @ApiModelProperty("单位名称")
    @ExcelProperty("单位名称")
    private String unitName;

    @ApiModelProperty("物料类别名称")
    @ExcelProperty("物料类别名称")
    private String classesName;

    @ApiModelProperty("物料属性名称")
    @ExcelProperty("物料属性名称")
    private String propertyName;

}
