package com.xjrsoft.module.erpModel.caseErpMaterial.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class StockCountDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @NotNull(message = "主键不能为空！")
    private Long id;

    @ApiModelProperty("操作类型（-1：减少、1：增加、0：报废）")
    @NotNull(message = "操作类型不能为空！")
    private Integer type;

    @ApiModelProperty("操作数量")
    @NotNull(message = "操作数量不能为空！")
    private BigDecimal count;

    @ApiModelProperty("备注")
    private String remark;
}
