package com.xjrsoft.module.erpModel.caseErpMaterial.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
public class CaseErpMaterialExportVo {

    @ApiModelProperty("物料编码")
    @ExcelProperty("物料编码")
    private String code;

    @ApiModelProperty("物料名称")
    @ExcelProperty("物料名称")
    private String name;

    @ApiModelProperty("规格型号")
    @ExcelProperty("规格型号")
    private String model;

    @ApiModelProperty("单位名称")
    @ExcelProperty("单位名称")
    private String unitName;

    @ApiModelProperty("物料类别名称")
    @ExcelProperty("物料类别名称")
    private String typeName;

    @ApiModelProperty("物料属性名称")
    @ExcelProperty("物料属性名称")
    private String propertyName;

    @ApiModelProperty("文件id")
    @ExcelProperty("文件id")
    private Long fileId;

    @ApiModelProperty("库存数量")
    @ExcelProperty("库存数量")
    private BigDecimal inventory;

    @ApiModelProperty("备注")
    @ExcelProperty("备注")
    private String remark;

    @ApiModelProperty("状态")
    @ExcelProperty("状态")
    private Integer state;
}
