package com.xjrsoft.module.erpModel.caseErpMaterial.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
public class CaseErpMaterialVo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;
    @ApiModelProperty("物料编码")
    private String code;

    @ApiModelProperty("物料名称")
    private String name;

    @ApiModelProperty("规格型号")
    private String model;

    @ApiModelProperty("单位名称")
    private String unitName;

    @ApiModelProperty("物料类别名称")
    private String typeName;

    @ApiModelProperty("物料属性名称")
    private String propertyName;

    @ApiModelProperty("文件路径")
    private String filePath;

    @ApiModelProperty("库存数量")
    private BigDecimal inventory;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("状态")
    private Integer state;

    private LocalDateTime createDate;
}
