package com.xjrsoft.module.erpModel.caseErpPurchase.service;

import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.common.page.PageOutput;
import com.xjrsoft.module.erpModel.caseErpPurchase.entity.CaseErpPurchase;
import com.baomidou.mybatisplus.extension.service.IService;
import com.xjrsoft.module.erpModel.caseErpPurchase.vo.CaseErpPurchaseCheckInfoVo;
import com.xjrsoft.module.erpModel.caseErpPurchase.vo.CaseErpPurchasePageVo;
import com.xjrsoft.module.erpModel.caseErpSale.dto.CaseErpSalePageDto;

import java.util.List;

/**
 * <p>
 * 采购订单信息【case_erp_purchase】 服务类
 * </p>
 *
 * @author hnyyzy
 * @since 2023-06-21
 */
public interface ICaseErpPurchaseService extends MPJBaseService<CaseErpPurchase> {

    PageOutput<CaseErpPurchasePageVo> getPageList(CaseErpSalePageDto dto);

    List<CaseErpPurchasePageVo> importByIds(List<Long> ids);

    CaseErpPurchaseCheckInfoVo checkInfo(Long id);
}
