package com.xjrsoft.module.erpModel.caseErpPurchase.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
public class InStoreLogExportVo {
    @ExcelProperty("入库单号")
    private String code;
    @ExcelProperty("入库订单主题")
    private String theme;
    @ExcelProperty("入库日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime date;
    @ExcelProperty("供应商名称")
    private String name;
    @ExcelProperty("入库总量")
    private BigDecimal count;
    @ExcelProperty("入库人员")
    private String person;
    @ExcelProperty("入库仓库")
    private String store;
}
