package com.xjrsoft.module.erpModel.caseErpSale.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @Author: tzx
 * @Date: 2022/12/27 16:04
 */
@Data
public class CollectionExportVo {

    @ExcelProperty("收款编号")
    private String code;

    @ExcelProperty("收入主题")
    private String theme;

    @ExcelProperty("收入日期")
    private LocalDateTime dateTime;

    @ExcelProperty("收款总额")
    private BigDecimal amount;

    @ExcelProperty("付款方")
    private String payer;

    @ExcelProperty("银行账号")
    private String account;
}
