package com.xjrsoft.module.erpModel.caseErpSale.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @Author: tzx
 * @Date: 2022/12/27 15:38
 */
@Data
public class InvoiceExportVo {

    @ExcelProperty("开票编号")
    private String code;

    @ExcelProperty("开票主题")
    private String theme;

    @ExcelProperty("开票日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime date;

    @ExcelProperty("发票类型")
    private String invoiceName;

    @ExcelProperty("发票号码")
    private String ticketNum;

    @ExcelProperty("发票金额")
    private BigDecimal ticketAmount;

    @ExcelProperty("收票方")
    private String ticketName;

}
