package com.xjrsoft.module.erpModel.caseErpSale.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @Author: tzx
 * @Date: 2022/12/27 15:38
 */
@Data
public class InvoiceVo {

    private Long id;

    private String code;
    //销售订单关联外键(case_erp_sale)
    private Long saleId;

    private String theme;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime date;

    private String invoiceName;

    private String ticketNum;

    private BigDecimal ticketAmount;

    private String ticketName;

    private String description;


}
