package com.xjrsoft.module.erpModel.caseErpStore.dto;

import com.xjrsoft.module.erpModel.caseErpSale.dto.AddCaseErpSaleDetailDto;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

@Data
public class AddCaseErpStoreReceiptDetailDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("物料编码")
    private String code;

    @ApiModelProperty("物料名称")
    private String name;

    @ApiModelProperty("规格型号")
    private String model;

    @ApiModelProperty("单位")
    private String unitName;

    @ApiModelProperty("数量")
    private BigDecimal count;

    @ApiModelProperty("备注")
    private String remark;
}
