package com.xjrsoft.module.erpModel.caseErpStore.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class UpdateCaseErpStoreReceiptDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;
    @ApiModelProperty("单据名称")
    private String name;

    @ApiModelProperty("单据编号")
    private String code;

    @ApiModelProperty("单据类型，0-出库，1-入库")
    private Integer type;

    @ApiModelProperty("关联单据id，出库-销售订单id，入库-采购订单表id")
    private Long relationKeyId;

    @ApiModelProperty("经办人员ids")
    private String personIds;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("添加订单详情集合")
    private List<AddCaseErpStoreReceiptDetailDto> addCaseErpStoreReceiptDetailDtoList;
}
