package com.xjrsoft.module.erpModel.caseErpStore.service;

import com.xjrsoft.module.erpModel.caseErpStore.dto.AddCaseErpStoreReceiptDto;
import com.xjrsoft.module.erpModel.caseErpStore.dto.UpdateCaseErpStoreReceiptDto;
import com.xjrsoft.module.erpModel.caseErpStore.entity.CaseErpStoreReceipt;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 出入库单据信息表【case_erp_store_receipt】 服务类
 * </p>
 *
 * @author hnyyzy
 * @since 2023-07-20
 */
public interface ICaseErpStoreReceiptService extends IService<CaseErpStoreReceipt> {

    Boolean delete(Long id);

    Boolean add(AddCaseErpStoreReceiptDto dto);

    Boolean edit(UpdateCaseErpStoreReceiptDto dto);
}
