package com.xjrsoft.module.erpModel.caseErpStore.vo;

import com.xjrsoft.module.erpModel.caseErpSale.entity.CaseErpSaleDetail;
import com.xjrsoft.module.erpModel.caseErpStore.entity.CaseErpStoreReceiptDetail;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

@Data
public class CaseErpStoreReceiptInfoVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("单据名称")
    private String name;

    @ApiModelProperty("单据编号")
    private String code;

    @ApiModelProperty("单据类型，0-出库，1-入库")
    private Integer type;

    @ApiModelProperty("关联单据id，出库-销售订单id，入库-采购订单表id")
    private Long relationKeyId;

    @ApiModelProperty("经办人员ids")
    private String personIds;

    @ApiModelProperty("经办人员名称")
    private String personNames;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("添加物料集合")
    private List<CaseErpStoreReceiptDetail>  caseErpStoreReceiptDetailList;
}
