package com.xjrsoft.module.erpModel.caseErpSupplier.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class ImportCaseErpSupplyMaterialDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("供应商名称")
    @ExcelProperty("供应商名称")
    private String supplierName;

    @ApiModelProperty("物料编号")
    @ExcelProperty("物料编号")
    private String code;

    @ApiModelProperty("物料名称")
    @ExcelProperty("物料名称")
    private String name;

    @ApiModelProperty("规格型号")
    @ExcelProperty("规格型号")
    private String model;

    @ApiModelProperty("单位名称")
    @ExcelProperty("单位名称")
    private String unitName;

    @ApiModelProperty("当前采购单价")
    @ExcelProperty("当前采购单价")
    private BigDecimal price;

    @ApiModelProperty("状态(0未启用，1启用)")
    @ExcelProperty("状态(0未启用，1启用)")
    private Integer state;

}
