package com.xjrsoft.module.erpModel.caseErpSupplier.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class UpdateCaseErpSupplierMaterialDto implements Serializable {
    private static final long serialVersionUID = 1L;
    private Long id;
    @ApiModelProperty("供应商外键(case_erp_supplier)")
    private Long supplierId;

    @ApiModelProperty("物料编号")
    private String code;

    @ApiModelProperty("物料名称")
    private String name;

    @ApiModelProperty("规格型号")
    private String model;

    @ApiModelProperty("单位名称")
    private String unitName;

    @ApiModelProperty("当前采购单价")
    private BigDecimal price;

    @ApiModelProperty("状态(0启用，1未启用)")
    private Integer state;

    @ApiModelProperty("备注")
    private String remark;

}
