package com.xjrsoft.module.erpModel.caseErpSupplier.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

import com.xjrsoft.common.model.base.AuditEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 供应商转正申请【case_erp_supplier_formal】
 * </p>
 *
 * @author hnyyzy
 * @since 2023-07-05
 */
@TableName("case_erp_supplier_formal")
@ApiModel(value = "CaseErpSupplierFormal对象", description = "供应商转正申请【case_erp_supplier_formal】")
@Data
@EqualsAndHashCode(callSuper = false)
public class CaseErpSupplierFormal extends AuditEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("供应商外键(case_erp_supplier)")
    private Long supplierId;

    @ApiModelProperty("转正说明")
    private String reason;

    @ApiModelProperty("附件")
    private String filePath;

    @ApiModelProperty("备注")
    private String remark;
}
