package com.xjrsoft.module.erpModel.caseErpSupplier.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class CaseErpSupplierInfoVo implements Serializable {
    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("供应商编号")
    private String number;

    @ApiModelProperty("是否系统编号（0是，1否）")
    private Integer isSysNum;

    private Boolean isSysNumBoolean;

    @ApiModelProperty("供应商名称")
    private String name;

    @ApiModelProperty("供应商负责人")
    private String person;

    @ApiModelProperty("手机号")
    private String phone;

    @ApiModelProperty("经营范围")
    private String scope;

    @ApiModelProperty("供应商类型(1原料,2成品,3半成品,4其他)")
    private String type;

    @ApiModelProperty("供应商类型名称")
    private String typeName;

    @ApiModelProperty("潜在供应商状态(0潜在，1审核中，2不通过)")
    private Integer latentState;

    @ApiModelProperty("正式供应商当前年审状态(0未年审，1审批中，2审批不通过，3审批通过，4不需要年审)")
    private Integer formalState;

    @ApiModelProperty("供应商状态(0潜在供应商，1正式供应商，2淘汰供应商)")
    private Integer state;

    @ApiModelProperty("风险评估报告状态(0未评估，1已评估)")
    private Integer assessState;

    @ApiModelProperty("淘汰原因")
    private String outReason;

    @ApiModelProperty("淘汰说明")
    private String outRemark;

    @ApiModelProperty("恢复理由")
    private String recoverReason;

    @ApiModelProperty("恢复文件")
    private String recoverFile;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("恢复时间")
    private LocalDateTime recoverTime;

    @ApiModelProperty("添加人")
    private String createUserName;

    @ApiModelProperty("添加时间")
    private LocalDateTime createDate;

}
