package com.xjrsoft.module.erpModel.caseErpSupplier.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
public class CaseErpSupplyMaterialExportVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("物料编号")
    @ExcelProperty("物料编号")
    private String code;

    @ApiModelProperty("物料名称")
    @ExcelProperty("物料名称")
    private String name;

    @ApiModelProperty("规格型号")
    @ExcelProperty("规格型号")
    private String model;

    @ApiModelProperty("单位名称")
    @ExcelProperty("单位名称")
    private String unitName;

    @ApiModelProperty("当前采购单价")
    @ExcelProperty("当前采购单价")
    private BigDecimal price;

    @ApiModelProperty("状态(1启用，0未启用)")
    @ExcelProperty("状态(1启用，0未启用)")
    private Integer state;

    @ApiModelProperty("操作人")
    @ExcelProperty("操作人")
    private String creatUserName;

    @ExcelProperty("添加时间")
    private LocalDateTime createDate;
}
