package com.xjrsoft.module.erpModel.caseErpSupplier.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

@Data
public class SupplierFormalDetailVo implements Serializable {

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("供应商外键(case_erp_supplier)")
    private Long supplierId;

    @ApiModelProperty("转正说明")
    private String reason;

    @ApiModelProperty("附件")
    private String filePath;

    @ApiModelProperty("备注")
    private String remark;

    /**
     * 时间轴数据
     */
    private List<Map<String, Object>> timeAxisVoList;

}
