package com.xjrsoft.module.erpModel.caseErpUnit.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.xjrsoft.module.erpModel.caseErpUnit.entity.CaseErpUnitConvertDetail;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

@Data
public class UpdateCaseErpUnitConvertDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("单位类型外键id")
    @ExcelProperty("单位类型外键id")
    @NotNull(message = "单位类型不能为空")
    private Long unitTypeId;

    @ApiModelProperty("基本单位外键")
    @ExcelProperty("基本单位外键")
    @NotNull(message = "基本单位不能为空")
    private Long baseUnitId;

    private List<AddCaseErpUnitConvertDetailDto> addCaseErpUnitConvertDetailDtoList;
}
