package com.xjrsoft.module.erpModel.caseErpUnit.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class CaseErpUnitExportVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("单位类型")
    @ExcelProperty("单位类型")
    private String unitTypeName;

    @ApiModelProperty("单位名称")
    @ExcelProperty("单位名称")
    private String name;

    @ApiModelProperty("单位符号")
    @ExcelProperty("单位符号")
    private String symbol;

    @ApiModelProperty("是否基准单位")
    @ExcelProperty("是否基准单位")
    private Integer isStandard;

    @ApiModelProperty("创建人")
    @ExcelProperty("创建人")
    private String createUserName;

    @ApiModelProperty("创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createDate;
    @ApiModelProperty("状态")
    @ExcelProperty("状态")
    private Integer state;

}
