package com.xjrsoft.module.erpModel.caseErpUnit.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class UnitVo implements Serializable {
    @ApiModelProperty("是否基准单位")
    private Integer isStandard;

    @ApiModelProperty("换算数量")
    private BigDecimal number;

    @ApiModelProperty("单位名称")
    private String unitName;

    @ApiModelProperty("单位符号")
    private String symbol;
}
