package com.xjrsoft.module.form.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Author: tzx
 * @Date: 2022/5/11 15:19
 */
@Data
public class FormExecuteInfoDto {
    /**
     * 发布id
     */
    @NotNull(message = "发布id")
    @ApiModelProperty("自定义表单 发布id")
    private Long releaseId;

    /**
     * 主键id
     */
    @NotBlank(message = "自定义表单 发布id 不能为空")
    @ApiModelProperty("自定义表单 主键id")
    private String id;
//
//    /**
//     * 表单id
//     */
//    @ApiModelProperty("自定义表单 表单id")
//    private String formId;
}
