package com.xjrsoft.module.form.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Author: tzx
 * @Date: 2023/3/30 15:04
 */
@Data
public class FormExecuteWorkflowInfoDto {
    /**
     * 自定义表单id
     */
    @NotNull(message = "自定义表单 自定义表单id 不能为空")
    @ApiModelProperty("自定义表单 id")
    private String formId;


    /**
     * 主键id
     */
    @NotBlank(message = "自定义表单 发布id 不能为空")
    @ApiModelProperty("自定义表单 主键id")
    private String id;

}
