package com.xjrsoft.module.form.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.xjrsoft.common.model.base.AuditEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 自定义表单历史表  每次修改自定义表单会新增一条数据
 * </p>
 *
 * @author tzx
 * @since 2022-05-09
 */
@TableName("xjr_form_history")
@ApiModel(value = "FormHistory对象", description = "自定义表单历史表  每次修改自定义表单会新增一条数据")
@Data
@EqualsAndHashCode(callSuper = false)
public class FormHistory extends AuditEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("表单id 关联 xjr_form_template 表")
    private Long formId;

    @ApiModelProperty("表单设计")
    private String formJson;
}
