package com.xjrsoft.module.oa.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * @author Zexy
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class NewsListDto extends PageInput {

    @ApiModelProperty(value = "类型（1-新闻2-公告）")
    @Min(value = 1, message = "类型必须大于0")
    @NotNull(message = "类型不能为空！")
    private Integer type;
}
