package com.xjrsoft.module.oa.service.impl;

import cn.hutool.core.collection.CollectionUtil;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.xjrsoft.module.oa.entity.Message;
import com.xjrsoft.module.oa.entity.Schedule;
import com.xjrsoft.module.oa.mapper.MessageMapper;
import com.xjrsoft.module.oa.mapper.ScheduleMapper;
import com.xjrsoft.module.oa.service.IScheduleService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.stream.Collectors;

/**
 * <p>
 * 日程管理 服务实现类
 * </p>
 *
 * @author zlf
 * @since 2022-06-16
 */
@Service
@AllArgsConstructor
public class ScheduleServiceImpl extends ServiceImpl<ScheduleMapper, Schedule> implements IScheduleService {

    private final ScheduleMapper scheduleMapper;



    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean delete(List<Long> ids) {

        scheduleMapper.deleteBatchIds(ids);
        return true;
    }
}
