package com.xjrsoft.module.teacher.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;


/**
* @title: 教职工基本信息管理
* @Author 管理员
* @Date: 2023-08-08
* @Version 1.0
*/
@Data
public class AddBaseTeacherFamilyDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 用户ID(xjr_user)
    */
    @ApiModelProperty("用户ID(xjr_user)")
    private Long userId;
    /**
    * 家庭邮编
    */
    @ApiModelProperty("家庭邮编")
    private String zipCode;
    /**
    * 家庭电话
    */
    @ApiModelProperty("家庭电话")
    private String telephone;
    /**
    * 联系人姓名
    */
    @ApiModelProperty("联系人姓名")
    private String contact;
    /**
    * 家庭人口
    */
    @ApiModelProperty("家庭人口")
    private Integer population;
    /**
    * 家庭住址
    */
    @ApiModelProperty("家庭住址")
    private String address;
    /**
    * 家庭经济情况
    */
    @ApiModelProperty("家庭经济情况")
    private String finance;

}
