package com.xjrsoft.module.teacher.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 分页查询入参
* @Author 管理员
* @Date: 2023-08-08
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class XjrUserPageDto extends PageInput {

    /**
    * 账户
    */
    @ApiModelProperty("账户")
    private String userName;
    /**
    * 手机号
    */
    @ApiModelProperty("手机号")
    private String mobile;
    /**
    * 姓名
    */
    @ApiModelProperty("姓名")
    private String name;
    /**
    * 邮箱
    */
    @ApiModelProperty("邮箱")
    private String email;

}
