package com.xjrsoft.module.teacher.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 表单出参
* @Author 管理员
* @Date: 2023-08-08
* @Version 1.0
*/
@Data
public class BaseTeacherEducationVo {

    /**
    * 主键
    */
    @ApiModelProperty("主键")
    private Long id;
    /**
    * 用户ID(xjr_user)
    */
    @ApiModelProperty("用户ID(xjr_user)")
    private Long userId;
    /**
    * 所学专业
    */
    @ApiModelProperty("所学专业")
    private String specialty;
    /**
    * 最高学历(xjr_dictionary_item[education])
    */
    @ApiModelProperty("最高学历(xjr_dictionary_item[education])")
    private String education;
    /**
    * 获得最高学历的院校
    */
    @ApiModelProperty("获得最高学历的院校")
    private String educationCollege;
    /**
    * 最高学位(xjr_dictionary_item[degree])
    */
    @ApiModelProperty("最高学位(xjr_dictionary_item[degree])")
    private String degree;
    /**
    * 获得最高学位的院校
    */
    @ApiModelProperty("获得最高学位的院校")
    private String degreeCollege;



}
